document.addEventListener('scroll', function() {
    const scrolled = window.pageYOffset;
    const background = document.getElementById('background-animated');
    if (background) {
      // Adjust this value to control the speed of the parallax effect
      const parallaxSpeed = 0.5;
      background.style.transform = 'translateY(' + (scrolled * parallaxSpeed) + 'px)';
    }
});




  //ANimation Pilliers 
// const svg = document.querySelector('#paragraph-id--7 .colone-picto');

// // Configuration de l'observateur d'intersection
// const observer = new IntersectionObserver(entries => {
//   entries.forEach(entry => {
//     if (entry.isIntersecting) {
//       // Ajoute une classe lorsque l'élément est visible
//       svg.classList.add('visible');
//     } else {
//       // Optionnel : Retirez la classe si nécessaire
//       svg.classList.remove('visible');
//     }
//   });
// });

// // Observer l'élément SVG
// observer.observe(svg);

//////////////////////////////////////////////////

//ANimation Pilliers 
const svg = document.querySelector('#paragraph-id--7 .colone-picto');

if (svg) {
  // Configuration de l'observateur d'intersection
  const observer = new IntersectionObserver(entries => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        // Ajoute une classe lorsque l'élément est visible
        // svg.classList.remove('invisible');
        svg.classList.add('visible');
      } 
      // else {
      //   // Optionnel : Retirez la classe si nécessaire
      //   svg.classList.remove('visible');
  
      // }
    });
  });
  
  // Observer l'élément SVG
  observer.observe(svg);
  
}
